Bug 956255 - Review Request: glite-info-update-endpoints - Script to collect LDAP endpoins to populate the BDII
Review Request: glite-info-update-endpoints - Script to collect LDAP endpoins...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2013-04-24 10:23 EDT by maria.alandes.pradillo
Modified: 2013-11-21 10:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maria.alandes.pradillo 2013-04-24 10:23:15 EDT
Spec URL:  https://malandes.web.cern.ch/malandes/spec/glite-info-update-endpoints.spec
SRPM URL:  https://malandes.web.cern.ch/malandes/slc6/glite-info-update-endpoints-2.0.12-1.el6.src.rpm

Description:

Hi,

I would like to release the glite-info-update-endpoints package for the first time in EPEL. This is one of my first packages and I need a sponsor. 

glite-info-update-endpoints is a script that by default collects LDAP endpoints from the EGI and OSG projects, although it can be customized to provide a different LDAP endpoint list . The core package, bdii, is already part of EPEL and I would like to release now all the remaining ones that comprise all together a site or top BDII.

I have tested the build works fine in koji, please check:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5296628

Fedora Account System Username: malandes
Comment 2 Veaceslav Mindru 2013-07-30 04:42:51 EDT
Hello Maria.

Is this targeted for EPEL5 releases or EPEL6 releases ? In case EPEL6 please mind  this. 

Drop this line. 

>BuildRoot:      %{_tmppath}/%{name}-%{version}-build

http://fedoraproject.org/wiki/How_to_create_an_RPM_package#SPEC_file_overview
BuildRoot: This is where files will be "installed" during the %install process (after the %build process). This is now redundant in Fedora and is only needed for EPEL5. By default, the build root is placed in "%{_topdir}/BUILDROOT/".  

drop rm -rf in %install section 

>%install
>rm -rf %{buildroot}

http://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25install_section

drop %clean section 

>%clean
>rm -rf %{buildroot}
Comment 3 Veaceslav Mindru 2013-07-30 04:49:29 EDT
Hello,

please review also E/W from rpmlint.


glite-info-static.spec:5: W: non-standard-group System/Monitoring
glite-info-static.spec:9: W: macro-in-comment %{name}
glite-info-static.spec:9: W: macro-in-comment %{version}
glite-info-static.spec:10: W: macro-in-comment %{name}
glite-info-static.spec:10: W: macro-in-comment %{version}
glite-info-static.spec:10: W: macro-in-comment %{name}
glite-info-static.spec:10: W: macro-in-comment %{version}



VM
Comment 4 maria.alandes.pradillo 2013-08-13 05:45:08 EDT
This is targeted for both EPEL 5 and EPEL 6.

The rpmlint output you have posted here is from a different package: glite-info-static.
Comment 5 maria.alandes.pradillo 2013-08-13 05:45:31 EDT
There is a newer version of this package:
https://linuxsoft.cern.ch/koji/koji-x86_64/RPMS.bdii6-source/glite-info-update-endpoints-2.0.13-1.el6.src.rpm

Note You need to log in before you can comment on or make changes to this bug.